> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchant Info



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/merchants/merchant-info
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/merchants/merchant-info:
    get:
      tags:
        - merchants
      summary: Get Merchant Info
      operationId: get_merchant_info__version__merchants_merchant_info_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: merchant_id
          in: query
          required: true
          schema:
            type: integer
            title: Merchant id
        - name: merchant_type
          in: query
          required: true
          schema:
            enum:
              - MICRO_ORGANIZATION
              - ORGANIZATION
            type: string
            title: Merchant type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MerchantInfoResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
              maxLength: 15
              minLength: 8
            - type: 'null'
          title: Phone
          description: E.164 digits only, without '+' (e.g. 231771234567)
      type: object
      required:
        - id
        - name
        - type
      title: MerchantInfoResponse
      description: MerchantInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````